> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Bulk Delete Notification Preferences

> Delete multiple notification preferences by their IDs.



## OpenAPI

````yaml delete /admin/settings/notification-preferences/bulk
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /admin/settings/notification-preferences/bulk:
    delete:
      tags:
        - provider
        - admin
        - notification-preferences
      summary: Bulk Delete Notification Preferences
      description: Delete multiple notification preferences by their IDs.
      operationId: >-
        bulk_delete_notification_preferences_admin_settings_notification_preferences_bulk_delete
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/BulkDeleteNotificationPreferencesRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: boolean
                title: >-
                  Response Bulk Delete Notification Preferences Admin Settings
                  Notification Preferences Bulk Delete
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    BulkDeleteNotificationPreferencesRequest:
      properties:
        preferenceIds:
          items:
            type: string
          type: array
          title: Preferenceids
          description: List of preference IDs to delete.
      type: object
      required:
        - preferenceIds
      title: BulkDeleteNotificationPreferencesRequest
      description: Schema for bulk deleting notification preferences.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````